/**
 @defgroup CLI_DLOGCONF dlog config
 @ingroup DLOG_COMMAND_LINE_UTILITIES
 @brief DLog configuration
 @details Configuration for various DLog components

Important config entries:

Key     | Value | Meaning
--------|-------|----
plog | 0 or 1 | Enable platform logging. Else, only app logs are collected.
limiter | 0 or 1 | Enable log limiting. See limiter rules for details.
limiter\|\<TAG\>\|\<PRIORITY\> | "allow", "deny" or integers | A series of entries to control limiting of apps with given TAG and PRIORITY. "allow" and values < 0 mean no filtering, "deny" or values > 10000 mean no logging allowed, and values between 0 and 10000 mean this many logs per minute are allowed.
util_sorting_time_window | >= 0 | Sorting time window (in ms) for dlogutil. dlogutil can achieve logs out of order so it waits a bit to make sure unsorted logs have had time to arrive and get sorted.
dlog_logger_conf_# | dlogutil invocations | The keys should be consecutive numbers from 0. The logger daemon will behave as if dlogutil was invoked for each of these.
\<BUFFER\> | path | Specifies the path to given buffer. Only for android-logger backend. Do not change because these are usually hardcoded in the kernel.
\<BUFFER\>_{ctl,write}_sock | path | Pipe backend only. Specifies a path to the control/write socket for given buffer.
\<BUFFER\>_{ctl,write}_sock_owner | username | Pipe backend only. Specifies the owner of the control/write socket for given buffer.
\<BUFFER\>_{ctl,write}_sock_group | path | Pipe only. Specifies the group of the control/write socket for given buffer.
\<BUFFER\>_{ctl,write}_sock_rights | file permissions | Pipe backend only. Specifies file permissions of the control/write socket for given buffer (in the usual octal format).
\<BUFFER\>_size | > 0 | Size of given buffer
debugmode | 0 or 1 | If 0, logs of DEBUG priority are dropped
util_sorting_buffer_size | > 0 | How large of a buffer dlogutil keeps for sorting.
enable_\<BUFFER\> | 0 or 1 | Whether a buffer accepts logs. Only applies to MAIN, SYSTEM, RADIO and APPS.
limiter_apply_to_all_buffers | 0 or 1 | Allows the limiter to apply to the APPS buffer.

*/
