#ifndef _DLOG_IOCTL_H_
#define _DLOG_IOCTL_H_

#include <sys/ioctl.h>

#define LOGGER_ENTRY_MAX_LEN            (4*1024)
#define LOGGER_ENTRY_MAX_PAYLOAD        (LOGGER_ENTRY_MAX_LEN - sizeof(struct logger_entry))

// These are taken from the kernel: ./drivers/staging/android/logger.h
#define __LOGGERIO	0xAE
#define LOGGER_GET_LOG_BUF_SIZE		_IO(__LOGGERIO, 1) /* size of log */
#define LOGGER_GET_LOG_LEN		_IO(__LOGGERIO, 2) /* used log len */
#define LOGGER_GET_NEXT_ENTRY_LEN	_IO(__LOGGERIO, 3) /* next entry len */
#define LOGGER_FLUSH_LOG		_IO(__LOGGERIO, 4) /* flush log */
#define LOGGER_GET_VERSION		_IO(__LOGGERIO, 5) /* get abi version */
#define LOGGER_SET_VERSION		_IO(__LOGGERIO, 6) /* set abi version */

#endif
