#pragma once

/*
 * DLOG
 * Copyright (c) 2018 Samsung Electronics Co., Ltd.
 *
 * Licensed under the Apache License, Version 2.0 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifdef __cplusplus
extern "C" {
#endif

#include <stdbool.h>

#include <logconfig.h>

#define DYNAMIC_CONFIG_CONF_KEY "dynamic_config_path"
#define DYNAMIC_CONFIG_FILENAME "FILTERS" // legacy name; should ideally become "CONFIG" at some point

bool __dynamic_config_create(struct log_config *config);
void __dynamic_config_destroy();
void __dynamic_config_update();

#ifdef __cplusplus
}
#endif

