#pragma once

// C
#include <stdbool.h>

// POSIX
#include <pthread.h>

// DLog
#include <dlog.h>

struct log_config;

extern int (*write_to_log)(log_id_t, log_priority, const char *tag, const char *msg);
extern void (*destroy_backend)();

extern pthread_rwlock_t log_limiter_lock;
extern bool limiter;

void __update_plog(const struct log_config *conf);

#ifdef UNIT_TEST
bool __configure(void);
void __dlog_fini(void);
#endif
