#pragma once

// C
#include <stdbool.h>
#include <stddef.h>
#include <stdio.h>

struct log_config;

struct parsed_params {
	enum action_t {
		ACTION_NONE = 0,
		ACTION_GET,
		ACTION_SET, // incl. setting to NULL (clearing)
		ACTION_DUMP,
		ACTION_CLEAR, // clears all rules
		ACTION_PLOG,
	} action;
	const char *tag;
	char prio;
	const char *value;
	bool plog_enable;
	int plog_buffers_bitset;
};

struct keys_values {
	char **keys;
	const char **values;
	size_t n;
};

bool parse_options(int argc, const char **argv, struct parsed_params *params, int *exit_value);

int copy_file_with_exceptions(const char *config_path, struct keys_values *kv);

int handle_set(const struct parsed_params *params, const char *config_path, struct log_config *conf);
int handle_plog(const struct parsed_params *params, const char *config_path, struct log_config *conf);
int handle_clear(const struct parsed_params *params, const char *config_path, struct log_config *conf);

