/*
 * DLOG
 * Copyright (c) 2013 Samsung Electronics Co., Ltd.
 *
 * Licensed under the Apache License, Version 2.0 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef _LOGLIMITER_H_
#define _LOGLIMITER_H_

/* Define maximum logging speed, everything greater means unlimited.
 * Maximum possible value is INT_MAX-2 */
#define __LOG_LIMITER_LIMIT_MAX        (10*1000)

#ifdef __cplusplus
extern "C" {
#endif

#include <stddef.h>

#include <logconfig.h>

struct rule;

struct limiter_limits {
	int tag_and_prio;
	int tag;
	int prio;
	int global;
};

void __log_limiter_destroy(void);

int __log_limiter_pass_log(const char* tag, int prio);

int __log_limiter_create(const struct log_config *config);

struct limiter_limits __log_limiter_get_limits();

void __log_limiter_update(const struct log_config *config);

int __log_limiter_dump_rule(struct rule **, char *, const size_t);

#ifdef __cplusplus
}
#endif

#endif /* _LOGLIMITER_H_ */
