/*
 * DLOG
 * Copyright (c) 2016 Samsung Electronics Co., Ltd.
 *
 * Licensed under the Apache License, Version 2.0 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef _LOGPIPE_H
#define _LOGPIPE_H

#include <stdint.h>

#define DLOG_CTRL_REQ_PIPE {sizeof(struct dlog_control_msg), DLOG_REQ_PIPE, 0}

enum {
	DLOG_REQ_REPLY          = 1 << 0,
	DLOG_REQ_PIPE           = 1 << 1,
	DLOG_REQ_CLEAR          = 1 << 2,
	DLOG_REQ_HANDLE_LOGUTIL = 1 << 3,
	DLOG_REQ_GETSIZE        = 1 << 4,
};

enum {
	DLOG_REQ_RESULT_OK = 0,
	DLOG_REQ_RESULT_ERR,
};

struct dlog_control_msg {
	unsigned char length;

	/* signed - declared explicitly to suppress static analyzer SVACE warning:
	 * "In some build environments it [char] can be interpreted as 'unsigned char' [...]" */
	signed char request;
	char result;
	char data[0];
};

/* should fit a whole command line with concatenated arguments (reasonably) */
#define MAX_LOGGER_REQUEST_LEN 127

#endif
