/*
 * DLOG
 * Copyright (c) 2005-2008, The Android Open Source Project
 * Copyright (c) 2012-2015 Samsung Electronics Co., Ltd.
 *
 * Licensed under the Apache License, Version 2.0 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef _QUEUED_ENTRY_TIMESTAMP_H
#define _QUEUED_ENTRY_TIMESTAMP_H

#include <stdbool.h>
#include <time.h>
#include <logconfig.h>

struct logger_entry;
enum sorting_order;

void add_recv_timestamp(struct logger_entry *le);
void copy_recv_timestamp(struct logger_entry *le);
bool log_entry_is_earlier(const enum sorting_order sort_by, const struct logger_entry *lhs, const struct logger_entry *rhs);
void extract_timestamp(const struct logger_entry *le, enum sorting_order stamp_type, struct timespec *ts);
clockid_t get_proper_clock(enum sorting_order sort_by);

#endif /* _QUEUED_ENTRY_TIMESTAMP_H */
