#!/bin/sh

lcov -c -o raw_lcov_trace --directory .

# gcov generates data for /usr/include/ but lcov can't find their sources.
# This also removes clutter from dlog's own include dir (just thin wrappers).
# Tests themselves are also removed because their coverage is not meaningful.
# Ideally this would be done in the -c step above but I couldn't figure out how to.
lcov --remove raw_lcov_trace '*/include/*' '*/src/tests/*' '*.h' '*/external/*' -o filtered_lcov_trace

# Seek the results in index.html in dlog's build dir
genhtml filtered_lcov_trace
