#define LOG_TAG "SRPOL_LOGGER"

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <pthread.h>

#include <dlog.h>
#include <logcommon.h>

void *func(void *data)
{
	int i;

	for (i = 0; i < 10000; ++i)
		LOGE("Multithreading test %d", i);

	return NULL;
}

int main(int argc, char **argv)
{
	if (argc == 1) {
		char *const huge_buffer = malloc(LOG_MAX_PAYLOAD_SIZE * 3);
		if (!huge_buffer)
			return 1;

		char buffer[LOG_MAX_PAYLOAD_SIZE - 20 /* leeway for tag, prio etc */];
		int i;
		pthread_t threads[50];

		// check buffer overflow
		for (int i = 0; i < 3; ++i)
			memset(huge_buffer + i * LOG_MAX_PAYLOAD_SIZE, 'a' + i, LOG_MAX_PAYLOAD_SIZE);
		huge_buffer[LOG_MAX_PAYLOAD_SIZE * 3 - 1] = '\0';

		LOGE("%s", huge_buffer);

		// check garbage data
		for (i = 0; i < sizeof buffer; ++i)
			buffer[i] = rand() & 255;

		LOGE("%s", buffer);

		// check multithreading
		for (i = 0; i < 50; ++i)
			pthread_create(threads + i, NULL, func, NULL);

		for (i = 0; i < 50; ++i)
			pthread_join(threads[i], NULL);

		free(huge_buffer);

		return 0;
	} else {
		int mode = 0;
		int count = atoi(argv[1]);

		while (count--) {
			if (mode) // alternate logging levels to allow testing of filters
				LOGE("%s", "test data, level: error");
			else
				LOGI("%s", "test data, level: info");

			mode = !mode;
		}
	}

	return 0;
}
